Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.handler
Class StreamIoHandler

    java.lang.Object
      org.apache.mina.common.IoHandlerAdapter
          org.apache.mina.handler.StreamIoHandler

All Implemented Interfaces:
  IoHandler

    public abstract class StreamIoHandler

extends IoHandlerAdapter

A `IoHandler` that adapts asynchronous MINA events to stream I/O.

Please extend this class and implement `processStreamIo(IoSession, InputStream, OutputStream)` to execute your stream I/O logic; please note that you must forward the process request to other thread or thread pool.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`protected` | `StreamIoHandler()`

Method Summary
`void` | `exceptionCaught(IoSession session, Throwable cause)` Forwards caught exceptions to input stream.
`int` | `getReadTimeout()` Returns read timeout in seconds.
`int` | `getWriteTimeout()` Returns write timeout in seconds.
`void` | `messageReceived(IoSession session, Object buf)` Forwards read data to input stream.
`protected abstract void` | `processStreamIo(IoSession session, InputStream in, OutputStream out)` Implement this method to execute your stream I/O logic; please note that you must forward the process request to other thread or thread pool.
`void` | `sessionClosed(IoSession session)` Closes streams
`void` | `sessionIdle(IoSession session, IdleStatus status)` Handles read timeout.
`void` | `sessionOpened(IoSession session)` Initializes streams and timeout settings.
`void` | `setReadTimeout(int readTimeout)` Sets read timeout in seconds.
`void` | `setWriteTimeout(int writeTimeout)` Sets write timeout in seconds.

Methods inherited from class org.apache.mina.common.IoHandlerAdapter
`messageSent, sessionCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamIoHandler

    protected StreamIoHandler()

Method Detail

### processStreamIo

    protected abstract void processStreamIo(IoSession session,
                                            InputStream in,
                                            OutputStream out)

  Implement this method to execute your stream I/O logic; please note that you must forward the process request to other thread or thread pool.

### getReadTimeout

    public int getReadTimeout()

  Returns read timeout in seconds. The default value is `0` (disabled).

### setReadTimeout

    public void setReadTimeout(int readTimeout)

  Sets read timeout in seconds. The default value is `0` (disabled).

### getWriteTimeout

    public int getWriteTimeout()

  Returns write timeout in seconds. The default value is `0` (disabled).

### setWriteTimeout

    public void setWriteTimeout(int writeTimeout)

  Sets write timeout in seconds. The default value is `0` (disabled).

### sessionOpened

    public void sessionOpened(IoSession session)

  Initializes streams and timeout settings.

  Specified by:
    `sessionOpened` in interface `IoHandler`
  Overrides:
    `sessionOpened` in class `IoHandlerAdapter`

### sessionClosed

    public void sessionClosed(IoSession session)
                       throws Exception

  Closes streams

  Specified by:
    `sessionClosed` in interface `IoHandler`
  Overrides:
    `sessionClosed` in class `IoHandlerAdapter`
  Throws:
    `Exception`

### messageReceived

    public void messageReceived(IoSession session,
                                Object buf)

  Forwards read data to input stream.

  Specified by:
    `messageReceived` in interface `IoHandler`
  Overrides:
    `messageReceived` in class `IoHandlerAdapter`

### exceptionCaught

    public void exceptionCaught(IoSession session,
                                Throwable cause)

  Forwards caught exceptions to input stream.

  Specified by:
    `exceptionCaught` in interface `IoHandler`
  Overrides:
    `exceptionCaught` in class `IoHandlerAdapter`

### sessionIdle

    public void sessionIdle(IoSession session,
                            IdleStatus status)

  Handles read timeout.

  Specified by:
    `sessionIdle` in interface `IoHandler`
  Overrides:
    `sessionIdle` in class `IoHandlerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.